%define oname   eventmachine

Name:       ruby-%{oname}
Version:    0.12.10
Release:    %mkrel 3
Summary:    Ruby/EventMachine library
Group:      Development/Ruby
License:    MIT
URL:        http://rubyeventmachine.com
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     eventmachine-0.12.10-fix-https-test.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: openssl-devel
BuildRequires: libevent-devel
Requires:   ruby(abi) = 1.8

%description
EventMachine implements a fast, single-threaded engine for arbitrary network
communications. It's extremely easy to use in Ruby. EventMachine wraps all
interactions with IP sockets, allowing programs to concentrate on the
implementation of network protocols. It can be used to create both network
servers and clients. To create a server or client, a Ruby program only needs
to specify the IP address and port, and provide a Module that implements the
communications protocol. Implementations of several standard network
protocols
are provided with the package, primarily to serve as examples. The real goal
of EventMachine is to enable programs to easily interface with other
programs
using TCP/IP, especially if custom protocols are required.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/fastfilereaderext.so
%{ruby_sitearchdir}/rubyeventmachine.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
# seems like watching PID only works with kqueue, skipping…
rm -f tests/test_process_watch.rb
testrb -Ilib -I%{buildroot}%{ruby_sitearchdir} tests/

%clean
rm -rf %{buildroot}



%changelog
* Mon Apr 25 2011 shikamaru <shikamaru> 0.12.10-3.mga1
+ Revision: 90342
- Add check section
- add patch to fix https test (got 301 instead of 200 with amazon)
- remove process watch test since it only supports kqueue which is not available
- bump release

* Thu Feb 03 2011 shikamaru <shikamaru> 0.12.10-2.mga1
+ Revision: 46603
- imported package ruby-eventmachine


* Wed Jan 26 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.12.10-2mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.12.10-1mdv2011.0
+ Revision: 579427
- import rubygem-eventmachine


* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.12.10-1
- initial release
